Solution
Keywords: yacs.net.Solution class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.net
Class Solution

    java.lang.Object
      yacs.net.Solution

public class Solution
extends java.lang.Object

Klasse zur Repräsentation einer Lösung eines Constraint-Problems. Eine Lösung besteht aus der Menge der Variablen des Problems und einer jeweils zugeordneten Wertebelegung.

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)

Constructor Summary
`Solution()`

Method Summary
`void` | `addVariable(java.lang.String variableName, DomainElement variableValue)` Fügt die übergebene Variable (String) mit der angegebenen Wertebelegung (Instanz des Interface `yacs.domain.DomainElement`) dieser Lösung hinzu.
`boolean` | `equals(Solution solution)` Überprüft, ob die übergebene Lösung identisch mit der aktuellen ist.
`DomainElement` | `getValue(java.lang.String variableName)` Liefert die Wertebelegung der übergebenen Variable in dieser Lösung.
`java.util.List` | `getVariables()` Liefert eine "unmodifizierbare" Liste mit den Namen (Strings) der an dieser Lösung involvierten Variablen.
`java.lang.String` | `toString()` Generiert zu Debugging-Zwecken einen String mit den Variablen/Wertebelegungen dieser Lösung.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Solution

    public Solution()

Method Detail

### addVariable

    public void addVariable(java.lang.String variableName,
                            DomainElement variableValue)

  Fügt die übergebene Variable (String) mit der angegebenen Wertebelegung (Instanz des Interface `yacs.domain.DomainElement`) dieser Lösung hinzu.

  Parameters:
    `variableName` - String
    `variableValue` - DomainElement

### getVariables

    public java.util.List getVariables()

  Liefert eine "unmodifizierbare" Liste mit den Namen (Strings) der an dieser Lösung involvierten Variablen.

  Returns:
    List

### getValue

    public DomainElement getValue(java.lang.String variableName)

  Liefert die Wertebelegung der übergebenen Variable in dieser Lösung.

  Parameters:
    `variableName` - String
  Returns:
    DomainElement

### equals

    public boolean equals(Solution solution)

  Überprüft, ob die übergebene Lösung identisch mit der aktuellen ist.

  Parameters:
    `solution` - Solution
  Returns:
    boolean

### toString

    public java.lang.String toString()

  Generiert zu Debugging-Zwecken einen String mit den Variablen/Wertebelegungen dieser Lösung.

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD